import { CreateQuoteUseCase } from "@/contexts/sales/application";
import { registerQuoteRepository } from "../../../../Quote.repository";
import { ISalesContext } from "../../../../Sales.context";
import { CreateQuoteController } from "./CreateQuote.controller";
import { CreateQuotePresenter } from "./presenter";

export const createQuoteController = (context: ISalesContext) => {
  registerQuoteRepository(context);
  return new CreateQuoteController(
    {
      useCase: new CreateQuoteUseCase(context),
      presenter: CreateQuotePresenter,
    },
    context
  );
};
